import { ToastContainer } from 'react-toastify';

import s from './App.module.css';
import Spoiler from './components/Spoiler/Spoiler';
import RangeInput from './components/RangeInput/RangeInput';
import PasswordConfirm from './components/PasswordConfirm/PasswordConfirm';

import TimerContainer from './components/TimerContainer/TimerContainer';
interface ISecondsTimerProps {
  seconds: number;
}
const SecondsTimer = ({ seconds }: ISecondsTimerProps) => {
  return <h2>{seconds}</h2>;
};
function App() {
  return (
    <div className={s.appWrapper}>
      <Spoiler header={<h1>Spoiler</h1>} open>
        <p>It works !</p>
      </Spoiler>
      <RangeInput min={2} max={10} />
      <PasswordConfirm min={5} />
      <TimerContainer
        amountSeconds={1800}
        refresh={100}
        renderEl={SecondsTimer}
      />
      <ToastContainer
        position="top-right"
        autoClose={3000}
        hideProgressBar={false}
        newestOnTop={false}
        closeOnClick
        rtl={false}
        pauseOnFocusLoss
        draggable
        pauseOnHover
      />
    </div>
  );
}

export default App;
