import { useState, useEffect } from 'react';

import s from './Timer.module.css';

interface TimerProps {
  time: number;
  flag: string;
  handleTimer: () => void;
  refresh: number;
  renderEl: ({ seconds }: { seconds: number }) => JSX.Element;
}

const Timer = ({
  time,
  flag,
  handleTimer,
  refresh,
  renderEl: RenderEl,
}: TimerProps) => {
  const [timeLeft, setTimeLeft] = useState<number>(0);

  useEffect(() => {
    setTimeLeft(time);
  }, [time]);

  useEffect(() => {
    timeLeft > 0 &&
      flag === 'Pause' &&
      setTimeout(() => setTimeLeft(timeLeft - 1), refresh);
  }, [timeLeft, refresh, flag]);

  return (
    <div className={s.timerWrapper}>
      <button className={s.timerBtn} onClick={handleTimer}>
        {flag}
      </button>
      <RenderEl seconds={timeLeft} />
    </div>
  );
};

export default Timer;
